////////////////////////////////////////////////////////////////////////
// channels_widget.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:29 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.channels_widget")

// <%pre>
#line 1 "channels_widget.ecpp"

#include <vdr/channels.h>
#include "exception.h"
#include "setup.h"
#include "tools.h"

using namespace vdrlive;


// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class channels_widget : public tnt::EcppComponent
{
    channels_widget& main()  { return *this; }

  protected:
    ~channels_widget();

  public:
    channels_widget(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
};

static tnt::ComponentFactoryImpl<channels_widget> channels_widgetFactory("channels_widget");

static const char* rawData = "(\000\000\000)\000\000\0007\000\000\0009\000\000\000;\000\000\000L\000\000\000R\000\000\000S\000\000\000]\000\000\000g\000\000\000\n<select name=\"\" >\n\t\t<option value=\"\" \n\t\t\t></option>\n</select>\n";

// <%shared>
// </%shared>

// <%config>
// </%config>

channels_widget::channels_widget(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl)
{
  // <%init>
  // </%init>
}

channels_widget::~channels_widget()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned channels_widget::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  // <%args>
std::string name = qparam.param("name",  "channel");
std::string selected = qparam.param("selected");
std::string onchange = qparam.param("onchange");
bool channelid = qparam.has("channelid") ? tnt::stringToWithDefaultConverter<bool>( false, reply.out().getloc())(qparam.param("channelid")) :  false;
  // </%args>

  // <%cpp>
#line 19 "channels_widget.ecpp"

if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");

  reply.out() << data[0]; // \n
#line 22 "channels_widget.ecpp"

	ReadLock channelsLock( Channels );
	if ( !channelsLock )
		throw HtmlError( tr("Couldn't aquire access to channels, please try again later.") );

	int lastChannel = LiveSetup().GetLastChannel();

  reply.out() << data[1]; // <select name="
#line 29 "channels_widget.ecpp"
  reply.sout() << ( name );
  reply.out() << data[2]; // " 
#line 29 "channels_widget.ecpp"
 reply.out() << ( !onchange.empty() ? "onchange=\""+onchange+"\"" : "" ); 
  reply.out() << data[3]; // >\n
#line 30 "channels_widget.ecpp"
	for ( cChannel *listChannel = Channels.First(); listChannel && listChannel->Number() <= lastChannel; 

#line 31 "channels_widget.ecpp"
		  listChannel = Channels.Next( listChannel ) ) {

#line 32 "channels_widget.ecpp"
		if ( listChannel->GroupSep() || *listChannel->Name() == '\0' )

#line 33 "channels_widget.ecpp"
			continue;

#line 34 "channels_widget.ecpp"


#line 35 "channels_widget.ecpp"
		std::string listChannelId = *listChannel->GetChannelID().ToString();

  reply.out() << data[4]; // \t\t<option value="
#line 36 "channels_widget.ecpp"
  if ( channelid )
    reply.sout() <<  *listChannel->GetChannelID().ToString() ;
#line 36 "channels_widget.ecpp"
  if ( !channelid )
    reply.sout() <<  listChannel->Number() ;
  reply.out() << data[5]; // " \n\t\t\t
#line 37 "channels_widget.ecpp"
 reply.out() << ( listChannelId == selected ? "selected=\"selected\"" : "" ); 
  reply.out() << data[6]; // >
#line 37 "channels_widget.ecpp"
  reply.sout() << ( listChannel->Name() );
  reply.out() << data[7]; // </option>\n
#line 38 "channels_widget.ecpp"
	}

  reply.out() << data[8]; // </select>\n
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

