////////////////////////////////////////////////////////////////////////
// error.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:29 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.error")

// <%pre>
#line 1 "error.ecpp"

#include <vdr/i18n.h>
#include "setup.h"

using namespace vdrlive;


// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class error : public tnt::EcppComponent
{
    error& main()  { return *this; }

  protected:
    ~error();

  public:
    error(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
    class error_widget_type : public tnt::EcppSubComponent
    {
        error& mainComp;
        error& main()  { return mainComp; }

      public:
        error_widget_type(error& m, const std::string& name)
          : EcppSubComponent(m, name),
            mainComp(m)
          { }
        unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
    };

    error_widget_type error_widget;
};

static tnt::ComponentFactoryImpl<error> errorFactory("error");

static const char* rawData = ",\000\000\000-\000\000\000Q\000\000\000\307\000\000\000\313\000\000\000\n\001\000\000.\001\000\000/\001\000\000~\001\000\000\243\001\000\000\270\001\000\000\n\n<html>\n\t<head>\n\t\t<title>VDR-Live - </title>\n\t\t<link rel=\"stylesheet\" type=\"text/css\" href=\"/styles.css\" />\n\t</head>\n\t<body>\n\t\t<div class=\"left_area\">\n\t\t\t\n\t\t\t\n\t\t</div>\n\t\t<div class=\"right_area\">\n\t\t<div class=\"inhalt\">\n\t\t\t\n\t\t</div>\n\t\t</div>\n\t</body>\n</html>\n\t\t<table class=\"error\" cellpadding=\"0\" cellspacing=\"0\">\n\t\t<tr><td class=\"title\"></td></tr>\n\t\t<tr><td class=\"message\"></td></tr>\n\t</table>\n";

// <%shared>
// </%shared>

// <%config>
// </%config>

error::error(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl),
    error_widget(*this, "error_widget")
{
  // <%init>
  // </%init>
}

error::~error()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned error::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  // <%args>
std::string pageTitle = qparam.param("pageTitle");
std::string errorTitle = qparam.param("errorTitle",  tr("Page error"));
std::string errorMessage = qparam.param("errorMessage");
  // </%args>

  // <%cpp>
#line 16 "error.ecpp"

if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");

  reply.out() << data[0]; // \n
  // <& pageelems.doc_type ...
#line 19 "error.ecpp"
  cxxtools::QueryParams _tnt_cq0(qparam, false);
#line 19 "error.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "doc_type"), request, reply, _tnt_cq0);
  // &>
  reply.out() << data[1]; // \n<html>\n\t<head>\n\t\t<title>VDR-Live - 
#line 22 "error.ecpp"
  reply.sout() << ( pageTitle );
  reply.out() << data[2]; // </title>\n\t\t<link rel="stylesheet" type="text/css" href="/styles.css" />\n\t</head>\n\t<body>\n\t\t<div class="left_area">\n\t\t\t
  // <& pageelems.logo ...
#line 27 "error.ecpp"
  cxxtools::QueryParams _tnt_cq1(qparam, false);
#line 27 "error.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "logo"), request, reply, _tnt_cq1);
  // &>
  reply.out() << data[3]; // \n\t\t\t
  // <& menu ...
#line 28 "error.ecpp"
  cxxtools::QueryParams _tnt_cq2(qparam, false);
#line 28 "error.ecpp"
  callComp(tnt::Compident(std::string(), "menu"), request, reply, _tnt_cq2);
  // &>
  reply.out() << data[4]; // \n\t\t</div>\n\t\t<div class="right_area">\n\t\t<div class="inhalt">\n\t\t\t
  // <& error.error_widget ...
#line 32 "error.ecpp"
  cxxtools::QueryParams _tnt_cq3(qparam, false);
#line 32 "error.ecpp"
  _tnt_cq3.add( "errorMessage", tnt::toString((errorMessage), reply.out().getloc() ) );
#line 32 "error.ecpp"
  _tnt_cq3.add( "errorTitle", tnt::toString((errorTitle), reply.out().getloc() ) );
#line 32 "error.ecpp"
  callComp(tnt::Subcompident(std::string(), "error", "error_widget"), request, reply, _tnt_cq3);
  // &>
  reply.out() << data[5]; // \n\t\t</div>\n\t\t</div>\n\t</body>\n</html>\n
  // <%/cpp>
  return HTTP_OK;
}

unsigned error::error_widget_type::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);
  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  // <%args>
std::string errorTitle = qparam.param("errorTitle");
std::string errorMessage = qparam.param("errorMessage");
  // </%args>

  // <%cpp>
  reply.out() << data[6]; // \t
  reply.out() << data[7]; // \t<table class="error" cellpadding="0" cellspacing="0">\n\t\t<tr><td class="title">
#line 43 "error.ecpp"
  reply.sout() << ( errorTitle );
  reply.out() << data[8]; // </td></tr>\n\t\t<tr><td class="message">
#line 44 "error.ecpp"
  reply.sout() << ( errorMessage );
  reply.out() << data[9]; // </td></tr>\n\t</table>\n
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

