////////////////////////////////////////////////////////////////////////
// ibox.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:29 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.ibox")

// <%pre>
#line 1 "ibox.ecpp"

#include <vdr/plugin.h>
#include <vdr/config.h>
#include <vdr/recording.h>
#include <vdr/channels.h>
#include <vdr/menu.h>
#include <vdr/device.h>

#include "exception.h"
#include "setup.h"
#include "tools.h"
#include "epg_events.h"
#include "recordings.h"

using namespace vdrlive;
using namespace std;


// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class ibox : public tnt::EcppComponent
{
    ibox& main()  { return *this; }

  protected:
    ~ibox();

  public:
    ibox(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
};

static tnt::ComponentFactoryImpl<ibox> iboxFactory("ibox");

static const char* rawData = "\030\000\000\000\031\000\000\000\032\000\000\000\033\000\000\000\034\000\000\000\035\000\000\000\n\n\n\n\n";

// <%shared>
// </%shared>

// <%config>
// </%config>

ibox::ibox(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl)
{
  // <%init>
  // </%init>
}

ibox::~ibox()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned ibox::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  // <%args>
int update = tnt::stringToConverter<int>(reply.out().getloc())( qparam.param("update") );
  // </%args>

  // <%cpp>
#line 25 "ibox.ecpp"

	if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");
	EpgEvents epgEvents;
	string EMPTY_STR;
	tChannelID prev_chan;
	tChannelID next_chan;
	reply.setContentType( "application/xml" );

	if (cReplayControl::NowReplaying()) {
		RecordingsManagerPtr recManager = LiveRecordingsManager();
		cRecording *recording = Recordings.GetByName(cReplayControl::NowReplaying());
		if (recording) {
			string name(recording->Name());
			size_t index = name.find_last_of('~');
			if (index != string::npos)
				name = name.substr(index, name.length());
			const cRecordingInfo* info = recording->Info();
			if (info) {
				EpgEventPtr epgEvent(new EpgEvent(recManager->Md5Hash(recording),
												  tr("playing recording"),
												  info->Title() ? info->Title() : name,
												  info->ShortText() ? info->ShortText() : "",
												  info->Description() ? info->Description() : "",
												  recording->start,
												  recording->start));
				epgEvents.push_back(epgEvent);
			}
		}
	}
	else {
		string CHANNEL_STR("channel");
		ReadLock channelsLock( Channels );

		if (cDevice::CurrentChannel()) {
			const int SKIP_GAP = 1;
			cChannel* Channel = Channels.GetByNumber(cDevice::CurrentChannel());

			cChannel* tmp = Channels.GetByNumber(Channels.GetPrevNormal(cDevice::CurrentChannel()), -SKIP_GAP);
			if (tmp)
				prev_chan = tmp->GetChannelID();
			tmp = Channels.GetByNumber(Channels.GetNextNormal(cDevice::CurrentChannel()), SKIP_GAP);
			if (tmp)
				next_chan = tmp->GetChannelID();

			string chanName(Channel->Name());
			cSchedulesLock schedulesLock;
			const cSchedules* Schedules = cSchedules::Schedules(schedulesLock);
			const cSchedule *Schedule = Schedules->GetSchedule(Channel);

			if (Schedule) {
				const cEvent *Event = Schedule->GetPresentEvent();
				if (Event) {
					EpgEventPtr epgEvent(new EpgEvent(CHANNEL_STR,
													  Event,
													  Channel->Name()));
					epgEvents.push_back(epgEvent);
				}
				else {
					string noInfo(tr("no epg info for current event!"));
					EpgEventPtr epgEvent(new EpgEvent(CHANNEL_STR,
													  chanName,
													  noInfo,
													  EMPTY_STR, EMPTY_STR,
													  time(0),
													  time(0)));
					epgEvents.push_back(epgEvent);
				}
			}
			else {
				string noInfo(tr("no epg info for current channel!"));
				EpgEventPtr epgEvent(new EpgEvent(CHANNEL_STR,
												  Channel->Name(),
												  noInfo,
												  EMPTY_STR, EMPTY_STR,
												  time(0),
												  time(0)));
				epgEvents.push_back(epgEvent);
			}
		}
		else {
			string chanName(tr("no current channel!"));
			EpgEventPtr epgEvent(new EpgEvent(CHANNEL_STR,
											  chanName,
											  chanName,
											  EMPTY_STR, EMPTY_STR,
											  time(0),
											  time(0)));
			epgEvents.push_back(epgEvent);
		}
	}
	if (epgEvents.size() == 0) {
		string ERROR_STR("error");
		string noInfo(tr("error retrieving status info!"));
		string chanName(tr("no current channel!"));
		EpgEventPtr epgEvent(new EpgEvent(ERROR_STR,
										  chanName,
										  noInfo,
										  EMPTY_STR, EMPTY_STR,
										  time(0),
										  time(0)));
		epgEvents.push_back(epgEvent);
	}
	for (vector<EpgEventPtr>::iterator i = epgEvents.begin(); i != epgEvents.end(); ++i) {
		EpgEventPtr epg = *i;
		if (prev_chan.Valid() && next_chan.Valid())
		{

  // <& xmlresponse.ibox ...
#line 132 "ibox.ecpp"
  cxxtools::QueryParams _tnt_cq0(qparam, false);
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "caption", tnt::toString((epg->Caption()), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "currentTime", tnt::toString((epg->CurrentTime(tr("%I:%M:%S %p"))), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "duration", tnt::toString((epg->StartTime(tr("%I:%M %p")) + string(" - ") + epg->EndTime(tr("%I:%M %p"))), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "elapsed", tnt::toString((epg->Elapsed()), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "next_chan", tnt::toString((next_chan), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "prev_chan", tnt::toString((prev_chan), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "title", tnt::toString((epg->Title()), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "type", tnt::toString((epg->Id()), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  _tnt_cq0.add( "update", tnt::toString((update), reply.out().getloc() ) );
#line 132 "ibox.ecpp"
  callComp(tnt::Subcompident(std::string(), "xmlresponse", "ibox"), request, reply, _tnt_cq0);
  // &>
  reply.out() << data[0]; // \n
#line 133 "ibox.ecpp"

		}
		else if (prev_chan.Valid()) {

  // <& xmlresponse.ibox ...
#line 137 "ibox.ecpp"
  cxxtools::QueryParams _tnt_cq1(qparam, false);
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "caption", tnt::toString((epg->Caption()), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "currentTime", tnt::toString((epg->CurrentTime(tr("%I:%M:%S %p"))), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "duration", tnt::toString((epg->StartTime(tr("%I:%M %p")) + string(" - ") + epg->EndTime(tr("%I:%M %p"))), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "elapsed", tnt::toString((epg->Elapsed()), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "prev_chan", tnt::toString((prev_chan), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "title", tnt::toString((epg->Title()), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "type", tnt::toString((epg->Id()), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  _tnt_cq1.add( "update", tnt::toString((update), reply.out().getloc() ) );
#line 137 "ibox.ecpp"
  callComp(tnt::Subcompident(std::string(), "xmlresponse", "ibox"), request, reply, _tnt_cq1);
  // &>
  reply.out() << data[1]; // \n
#line 138 "ibox.ecpp"

		}
		else if (next_chan.Valid()) {

  // <& xmlresponse.ibox ...
#line 142 "ibox.ecpp"
  cxxtools::QueryParams _tnt_cq2(qparam, false);
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "caption", tnt::toString((epg->Caption()), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "currentTime", tnt::toString((epg->CurrentTime(tr("%I:%M:%S %p"))), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "duration", tnt::toString((epg->StartTime(tr("%I:%M %p")) + string(" - ") + epg->EndTime(tr("%I:%M %p"))), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "elapsed", tnt::toString((epg->Elapsed()), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "next_chan", tnt::toString((next_chan), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "title", tnt::toString((epg->Title()), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "type", tnt::toString((epg->Id()), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  _tnt_cq2.add( "update", tnt::toString((update), reply.out().getloc() ) );
#line 142 "ibox.ecpp"
  callComp(tnt::Subcompident(std::string(), "xmlresponse", "ibox"), request, reply, _tnt_cq2);
  // &>
  reply.out() << data[2]; // \n
#line 143 "ibox.ecpp"

		}
		else {

  // <& xmlresponse.ibox ...
#line 147 "ibox.ecpp"
  cxxtools::QueryParams _tnt_cq3(qparam, false);
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "caption", tnt::toString((epg->Caption()), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "currentTime", tnt::toString((epg->CurrentTime(tr("%I:%M:%S %p"))), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "duration", tnt::toString((epg->StartTime(tr("%I:%M %p")) + string(" - ") + epg->EndTime(tr("%I:%M %p"))), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "elapsed", tnt::toString((epg->Elapsed()), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "title", tnt::toString((epg->Title()), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "type", tnt::toString((epg->Id()), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  _tnt_cq3.add( "update", tnt::toString((update), reply.out().getloc() ) );
#line 147 "ibox.ecpp"
  callComp(tnt::Subcompident(std::string(), "xmlresponse", "ibox"), request, reply, _tnt_cq3);
  // &>
  reply.out() << data[3]; // \n
#line 148 "ibox.ecpp"

		}
		break;
	}

  reply.out() << data[4]; // \n
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

