////////////////////////////////////////////////////////////////////////
// login.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:29 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.login")

// <%pre>
#line 1 "login.ecpp"

#include "tools.h"
#include "setup.h"

using namespace std;
using namespace vdrlive;


// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class login : public tnt::EcppComponent
{
    login& main()  { return *this; }

  protected:
    ~login();

  public:
    login(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
};

static tnt::ComponentFactoryImpl<login> loginFactory("login");

static const char* rawData = ",\000\000\000-\000\000\000\237\000\000\000\242\000\000\000R\002\000\000\212\002\000\000\342\002\000\000!\003\000\000q\003\000\000\313\003\000\000\367\003\000\000\n\n<html>\n\t<head>\n\t\t<title>VDR-Live - Login</title>\n\t\t<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\" />\n\t\t\n\t\t\n\t</head>\n\t<body onload=\"document.auth.login.focus()\">\n\t<div style=\"width: 350px; margin: 0 auto; text-align: center; padding: 20px\">\n\t\t<div class=\"boxheader\"><div><div>VDR Live Login</div></div></div>\n\t\t<div style=\"border: 1px solid black; padding: 15px\">\n\t\t\t<img src=\"logo_login.png\" alt=\"VDR Live\"></img>\n\t\t\t<form name=\"auth\">\n\t\t\t\t<input type=\"hidden\" name=\"action\" value=\"login\" />\n\t\t\t\t<table class=\"login\">\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<td>:</td>\n\t\t\t\t\t\t<td><input type=\"text\" name=\"login\" value=\"\" size=\"15\" maxlength=\"15\" /></td>\n\t\t\t\t\t\t<td>&nbsp;</td>\n\t\t\t\t\t</tr>\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<td>:</td>\n\t\t\t\t\t\t<td><input type=\"password\" name=\"password\" value=\"\" size=\"15\" maxlength=\"15\" /></td>\n\t\t\t\t\t\t<td><button type=\"submit\" class=\"blue\"></td>\n\t\t\t\t\t</tr>\n\t\t\t\t</table>\n\t\t\t</form>\n\t\t\t<div style=\"color: red; margin: 0 auto;\">\n\t\t\t\t\n\t\t\t</div>\n\t\t</div>\n\t</div>\n\t</body>\n</html>";

// <%shared>
// </%shared>

// <%config>
// </%config>

login::login(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl)
{
  // <%init>
  // </%init>
}

login::~login()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned login::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  // <%args>
std::string login = tnt::stringToConverter<std::string>(reply.out().getloc())( qparam.param("login") );
std::string password = tnt::stringToConverter<std::string>(reply.out().getloc())( qparam.param("password") );
std::string action = tnt::stringToConverter<std::string>(reply.out().getloc())( qparam.param("action") );
  // </%args>

  // <%cpp>
#line 17 "login.ecpp"


std::string message;

if (action == "login") {
	if ((login == LiveSetup().GetAdminLogin()) && (MD5Hash(password) == LiveSetup().GetMD5HashAdminPassword())) {
		logged_in = true;
	} else {
		message = tr("Wrong username or password");
	}
} else if (action == "logout") {
	logged_in = false;
}

if (logged_in || !LiveSetup().UseAuth()) return reply.redirect("whats_on.html");


  reply.out() << data[0]; // \n
  // <& pageelems.doc_type ...
#line 34 "login.ecpp"
  cxxtools::QueryParams _tnt_cq0(qparam, false);
#line 34 "login.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "doc_type"), request, reply, _tnt_cq0);
  // &>
  reply.out() << data[1]; // \n<html>\n\t<head>\n\t\t<title>VDR-Live - Login</title>\n\t\t<link rel="stylesheet" type="text/css" href="styles.css" />\n\t\t
  // <& tooltip.javascript ...
#line 39 "login.ecpp"
  cxxtools::QueryParams _tnt_cq1(qparam, false);
#line 39 "login.ecpp"
  _tnt_cq1.add( "value", tnt::toString(("domTTepg"), reply.out().getloc() ) );
#line 39 "login.ecpp"
  _tnt_cq1.add( "var", tnt::toString(("domTT_styleClass"), reply.out().getloc() ) );
#line 39 "login.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "javascript"), request, reply, _tnt_cq1);
  // &>
  reply.out() << data[2]; // \n\t\t
  // <& pageelems.ajax_js ...
#line 40 "login.ecpp"
  cxxtools::QueryParams _tnt_cq2(qparam, false);
#line 40 "login.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "ajax_js"), request, reply, _tnt_cq2);
  // &>
  reply.out() << data[3]; // \n\t</head>\n\t<body onload="document.auth.login.focus()">\n\t<div style="width: 350px; margin: 0 auto; text-align: center; padding: 20px">\n\t\t<div class="boxheader"><div><div>VDR Live Login</div></div></div>\n\t\t<div style="border: 1px solid black; padding: 15px">\n\t\t\t<img src="logo_login.png" alt="VDR Live"></img>\n\t\t\t<form name="auth">\n\t\t\t\t<input type="hidden" name="action" value="login" />\n\t\t\t\t<table class="login">\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<td>
#line 51 "login.ecpp"
  reply.sout() << ( tr("User") );
  reply.out() << data[4]; // :</td>\n\t\t\t\t\t\t<td><input type="text" name="login" value="
#line 52 "login.ecpp"
  reply.sout() << ( login );
  reply.out() << data[5]; // " size="15" maxlength="15" /></td>\n\t\t\t\t\t\t<td>&nbsp;</td>\n\t\t\t\t\t</tr>\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<td>
#line 56 "login.ecpp"
  reply.sout() << ( tr("Password") );
  reply.out() << data[6]; // :</td>\n\t\t\t\t\t\t<td><input type="password" name="password" value="
#line 57 "login.ecpp"
  reply.sout() << ( password );
  reply.out() << data[7]; // " size="15" maxlength="15" /></td>\n\t\t\t\t\t\t<td><button type="submit" class="blue">
#line 58 "login.ecpp"
  reply.sout() << ( tr("Login") );
  reply.out() << data[8]; // </td>\n\t\t\t\t\t</tr>\n\t\t\t\t</table>\n\t\t\t</form>\n\t\t\t<div style="color: red; margin: 0 auto;">\n\t\t\t\t
#line 63 "login.ecpp"
  reply.sout() << ( message );
  reply.out() << data[9]; // \n\t\t\t</div>\n\t\t</div>\n\t</div>\n\t</body>\n</html>
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

