////////////////////////////////////////////////////////////////////////
// schedule.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:28 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.schedule")

// <%pre>
#line 1 "schedule.ecpp"

#include <vdr/plugin.h>
#include <vdr/channels.h>
#include <vdr/epg.h>
#include <vdr/config.h>
#include "exception.h"
#include "setup.h"
#include "tools.h"
#include "epg_events.h"

using namespace std;
using namespace vdrlive;


#line 2 "page_init.eh"

#include <tnt/savepoint.h>
#include "exception.h"

#line 2 "page_exit.eh"

#include "exception.h"

// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class schedule : public tnt::EcppComponent
{
    schedule& main()  { return *this; }

  protected:
    ~schedule();

  public:
    schedule(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
    class channel_selection_type : public tnt::EcppSubComponent
    {
        schedule& mainComp;
        schedule& main()  { return mainComp; }

      public:
        channel_selection_type(schedule& m, const std::string& name)
          : EcppSubComponent(m, name),
            mainComp(m)
          { }
        unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
    };

    channel_selection_type channel_selection;
};

static tnt::ComponentFactoryImpl<schedule> scheduleFactory("schedule");

static const char* rawData = "\234\000\000\000\235\000\000\000\236\000\000\000\302\000\000\000\013\001\000\000\016\001\000\000'\001\000\000,\001\000\000/\001\000\000\203\001\000\000\024\002\000\000d\002\000\000\210\002\000\000\230\002\000\000\312\002\000\000\313\002\000\000\371\002\000\000$\003\000\0000\003\000\000G\003\000\000J\003\000\000[\003\000\000y\003\000\000\221\003\000\000\232\003\000\000\251\003\000\000\260\003\000\000\277\003\000\000\022\004\000\000\235\004\000\000\342\004\000\000\345\004\000\000\346\004\000\000\000\005\000\000\001\005\000\000\002\005\000\000,\005\000\0005\005\000\000=\005\000\000\n\n\n<html>\n\t<head>\n\t\t<title>VDR Live - </title>\n\t\t<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\" />\n\t\t\n\t\t\n\t</head>\n\t<body onload=\"\">\n\t\t\n\t\t\n\t\t<div class=\"inhalt\">\n\t\t\t<table class=\"schedule\" cellspacing=\"0\" cellpadding=\"0\">\n\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan=\"5\" style=\"border-top: 1px solid black; border-bottom: none; background-image: none\">&nbsp;</td></tr>\n\t\t\t\t\t\t</tr>\n\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td class=\"day\" colspan=\"5\"><div class=\"boxheader\"><div><div></div></div></div></td>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t<tr class=\"\">\n\t\t\t\t\t\t<td style=\"border-left: 1px solid black\">\n\t\t\t\t\t\t<a href=\"searchresults.html\?searchplain=\"><img src=\"/search.png\" border=\"0\" alt=\"\" ></img></a>\n\n\t\t\t\t\t\t</td>\n\t\t\t\t\t\t<td> - </td>\n\t\t\t\t\t\t<td>\n\t\t\t\t\t\t\t<font color=\"#0000FF\">\n\t\t\t\t\t\t\t<div class=\"more\"><strong></strong></div><br />\n\t\t\t\t\t\t\t</font>\n\t\t\t\t\t\t</td>\n\t\t\t\t\t\t<td style=\"border-right: 1px solid black\">&nbsp;</td>\n\t\t\t\t\t</tr>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan=\"4\" style=\"border-top: 1px solid black; background-image: none; border-bottom: none\">&nbsp;</td>\n\t\t\t\t\t\t</tr>\n\t\t\t</table>\n\t\t</div>\n\t\t<div class=\"epg_data\" style=\"display: none;\">\n\n\t\t\n\n\t\t</div>\t</body>\n</html>\n\n\n<form name=\"channels\" id=\"channels\"><span>: </span></form>\n";

// <%shared>
// </%shared>

// <%config>
// </%config>

schedule::schedule(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl),
    channel_selection(*this, "channel_selection")
{
  // <%init>
  // </%init>
}

schedule::~schedule()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned schedule::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  TNT_REQUEST_PAGE_VAR(cChannel*, Channel, "Channel", ());   // <%request> cChannel* Channel
  TNT_REQUEST_GLOBAL_VAR(std::string, pageTitle, "pageTitle", ());   // <%request> std::string pageTitle
  // <%args>
int channel = qparam.has("channel") ? tnt::stringToWithDefaultConverter<int>( -1, reply.out().getloc())(qparam.param("channel")) :  -1;
  // </%args>

  // <%cpp>
  // <%include> page_init.eh
  reply.out() << data[0]; // \n
#line 9 "page_init.eh"

try {
	reply.setHeader("Expires", "Mon, 26 Jul 1997 05:00:00 GMT");
	tnt::Savepoint spoint( reply );

  // </%include>
#line 25 "schedule.ecpp"

if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");

  reply.out() << data[1]; // \n
#line 28 "schedule.ecpp"

	pageTitle = tr("Schedule");

	cSchedulesLock schedulesLock;
	cSchedules const* schedules = cSchedules::Schedules( schedulesLock );

	ReadLock channelsLock( Channels );
	if ( !channelsLock )
		throw HtmlError( tr("Couldn't aquire access to channels, please try again later.") );

	// cChannel* Channel; (see %request above)
	if ( channel > 0 )
		Channel = Channels.GetByNumber( channel );
	else
		Channel = Channels.Get( Channels.GetNextNormal( -1 ) );

	if ( Channel == 0 )
		throw HtmlError( tr("Couldn't find channel or no channels available. Maybe you mistyped your request?") );

	cSchedule const* Schedule = schedules->GetSchedule( Channel );
	if ( Schedule == 0 )
		throw HtmlError( tr("No schedules available for this channel.") );

  // <& pageelems.doc_type ...
#line 51 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq0(qparam, false);
#line 51 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "doc_type"), request, reply, _tnt_cq0);
  // &>
  reply.out() << data[2]; // \n<html>\n\t<head>\n\t\t<title>VDR Live - 
#line 54 "schedule.ecpp"
  reply.sout() << ( pageTitle );
  reply.out() << data[3]; // </title>\n\t\t<link rel="stylesheet" type="text/css" href="styles.css" />\n\t\t
  // <& tooltip.javascript ...
#line 56 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq1(qparam, false);
#line 56 "schedule.ecpp"
  _tnt_cq1.add( "value", tnt::toString(("domTTepg"), reply.out().getloc() ) );
#line 56 "schedule.ecpp"
  _tnt_cq1.add( "var", tnt::toString(("domTT_styleClass"), reply.out().getloc() ) );
#line 56 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "javascript"), request, reply, _tnt_cq1);
  // &>
  reply.out() << data[4]; // \n\t\t
  // <& pageelems.ajax_js ...
#line 57 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq2(qparam, false);
#line 57 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "ajax_js"), request, reply, _tnt_cq2);
  // &>
  reply.out() << data[5]; // \n\t</head>\n\t<body onload="
  // <& pageelems.infobox_start_update ...
#line 59 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq3(qparam, false);
#line 59 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "infobox_start_update"), request, reply, _tnt_cq3);
  // &>
  reply.out() << data[6]; // ">\n\t\t
  // <& pageelems.logo ...
#line 60 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq4(qparam, false);
#line 60 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "logo"), request, reply, _tnt_cq4);
  // &>
  reply.out() << data[7]; // \n\t\t
  // <& menu ...
#line 61 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq5(qparam, false);
#line 61 "schedule.ecpp"
  _tnt_cq5.add( "active", tnt::toString(("schedule"), reply.out().getloc() ) );
#line 61 "schedule.ecpp"
  _tnt_cq5.add( "component", tnt::toString(("schedule.channel_selection"), reply.out().getloc() ) );
#line 61 "schedule.ecpp"
  callComp(tnt::Compident(std::string(), "menu"), request, reply, _tnt_cq5);
  // &>
  reply.out() << data[8]; // \n\t\t<div class="inhalt">\n\t\t\t<table class="schedule" cellspacing="0" cellpadding="0">\n
#line 64 "schedule.ecpp"

				EpgEvents epgEvents;

				bool active_line = false;
				string current_day = "";
				const cEvent* PresentEvent = Schedule->GetPresentEvent();
				time_t now = time(NULL) - ::Setup.EPGLinger * 60;
				tChannelID channel_id(Channel->GetChannelID());
				int evntNr = 0;
				for (const cEvent *Event = Schedule->Events()->First(); Event; Event = Schedule->Events()->Next(Event)) {
					if (Event->EndTime() <= now && Event != PresentEvent)
						continue;

					string evntId("eventId_");
					evntId += lexical_cast<std::string, int>(++evntNr);
					EpgEventPtr epgEvent(new EpgEvent(evntId, Event, Channel->Name()));
					epgEvents.push_back(epgEvent);

					//active_line = !active_line;
					string title(Event->Title() ? Event->Title() : "");
					string short_description(Event->ShortText() ? Event->ShortText() : "");
					string description(Event->Description() ? Event->Description() : "");
					string start(Event->StartTime() ? FormatDateTime(tr("%I:%M %p"), Event->StartTime()) : "");
					string end(Event->EndTime() ? FormatDateTime(tr("%I:%M %p"), Event->EndTime()) : "");
					string day(Event->StartTime() ? FormatDateTime(tr("%A, %b %d %Y"), Event->StartTime()) : "");
					tEventID event = Event->EventID();
					ostringstream os;
      					os << Event->EventID();
					string strEventID = os.str();
					bool truncated = false;
					if (current_day != day) {
						if (current_day != "") {

  reply.out() << data[9]; // \n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan="5" style="border-top: 1px solid black; border-bottom: none; background-image: none">&nbsp;</td></tr>\n\t\t\t\t\t\t</tr>\n
#line 100 "schedule.ecpp"

						}

  reply.out() << data[10]; // \n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td class="day" colspan="5"><div class="boxheader"><div><div>
#line 104 "schedule.ecpp"
  reply.sout() << ( day );
  reply.out() << data[11]; // </div></div></div></td>\n\t\t\t\t\t\t</tr>\n
#line 106 "schedule.ecpp"
					current_day = day;

#line 107 "schedule.ecpp"
					}

  reply.out() << data[12]; // \t\t\t\t\t<tr class="
#line 108 "schedule.ecpp"
  if ( active_line )
    reply.sout() <<  "active" ;
  reply.out() << data[13]; // ">\n\t\t\t\t\t\t<td style="border-left: 1px solid black">
  // <& pageelems.event_timer ...
#line 109 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq6(qparam, false);
#line 109 "schedule.ecpp"
  _tnt_cq6.add( "channelid", tnt::toString((channel_id), reply.out().getloc() ) );
#line 109 "schedule.ecpp"
  _tnt_cq6.add( "eventid", tnt::toString((event), reply.out().getloc() ) );
#line 109 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "event_timer"), request, reply, _tnt_cq6);
  // &>
  reply.out() << data[14]; // \n
#line 110 "schedule.ecpp"
						if (LiveSetup().HaveEPGSearch()) {

  reply.out() << data[15]; // \t\t\t\t\t\t<a href="searchresults.html\?searchplain=
#line 111 "schedule.ecpp"
  reply.sout() << ( StringEscapeAndBreak(title) );
  reply.out() << data[16]; // "><img src="/search.png" border="0" alt="" 
  // <& tooltip.hint ...
#line 111 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq7(qparam, false);
#line 111 "schedule.ecpp"
  _tnt_cq7.add( "text", tnt::toString((tr("Search for repeats.")), reply.out().getloc() ) );
#line 111 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "hint"), request, reply, _tnt_cq7);
  // &>
  reply.out() << data[17]; // ></img></a>\n
#line 112 "schedule.ecpp"
						}

  reply.out() << data[18]; // \n\t\t\t\t\t\t</td>\n\t\t\t\t\t\t<td>
#line 115 "schedule.ecpp"
  reply.sout() << ( start );
  reply.out() << data[19]; //  - 
#line 115 "schedule.ecpp"
  reply.sout() << ( end );
  reply.out() << data[20]; // </td>\n\t\t\t\t\t\t<td>\n
#line 117 "schedule.ecpp"
							if(Event == PresentEvent) {

  reply.out() << data[21]; // \t\t\t\t\t\t\t<font color="#0000FF">\n
#line 119 "schedule.ecpp"
 							}

  reply.out() << data[22]; // \t\t\t\t\t\t\t<div class="more"
  // <& tooltip.hint ...
#line 120 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq8(qparam, false);
#line 120 "schedule.ecpp"
  _tnt_cq8.add( "text", tnt::toString((StringEscapeAndBreak(StringWordTruncate(description, 300, truncated)) + string("<br />") + string(tr("Click to view details."))), reply.out().getloc() ) );
#line 120 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "hint"), request, reply, _tnt_cq8);
  // &>
  // <& tooltip.display ...
#line 120 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq9(qparam, false);
#line 120 "schedule.ecpp"
  _tnt_cq9.add( "domId", tnt::toString((epgEvent->Id()), reply.out().getloc() ) );
#line 120 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "display"), request, reply, _tnt_cq9);
  // &>
  reply.out() << data[23]; // ><strong>
#line 120 "schedule.ecpp"
  reply.sout() << ( title );
  reply.out() << data[24]; // </strong></div>
#line 120 "schedule.ecpp"
  reply.sout() << ( short_description );
  reply.out() << data[25]; // <br />\n
#line 121 "schedule.ecpp"
							if(Event == PresentEvent) {

  reply.out() << data[26]; // \t\t\t\t\t\t\t</font>\n
#line 123 "schedule.ecpp"
							}

  reply.out() << data[27]; // \t\t\t\t\t\t</td>\n\t\t\t\t\t\t<td style="border-right: 1px solid black">&nbsp;</td>\n\t\t\t\t\t</tr>\n
#line 127 "schedule.ecpp"
				}

#line 128 "schedule.ecpp"
				if (Schedule->Events()->Count() > 0) {

  reply.out() << data[28]; // \t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan="4" style="border-top: 1px solid black; background-image: none; border-bottom: none">&nbsp;</td>\n\t\t\t\t\t\t</tr>\n
#line 132 "schedule.ecpp"
				}

  reply.out() << data[29]; // \t\t\t</table>\n\t\t</div>\n\t\t<div class="epg_data" style="display: none;">\n
#line 136 "schedule.ecpp"

	// create hidden div for the tooltip hints.
	for (vector<EpgEventPtr>::iterator i = epgEvents.begin(); i != epgEvents.end(); ++i) {
		EpgEventPtr epg = *i;

  reply.out() << data[30]; // \n\t\t
  // <& pageelems.epg_tt_box ...
#line 141 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq10(qparam, false);
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "boxId", tnt::toString((epg->Id()), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "caption", tnt::toString((epg->Caption()), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "elapsed", tnt::toString((epg->Elapsed()), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "long_descr", tnt::toString((epg->LongDescr()), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "short_descr", tnt::toString((epg->ShortDescr()), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "time", tnt::toString((epg->StartTime(tr("%I:%M %p")) + string(" - ") + epg->EndTime(tr("%I:%M %p"))), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  _tnt_cq10.add( "title", tnt::toString((epg->Title()), reply.out().getloc() ) );
#line 141 "schedule.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "epg_tt_box"), request, reply, _tnt_cq10);
  // &>
  reply.out() << data[31]; // \n
#line 142 "schedule.ecpp"

	}

  reply.out() << data[32]; // \n\t\t</div>\t</body>\n</html>\n
  // <%include> page_exit.eh
  reply.out() << data[33]; // \n
#line 5 "page_exit.eh"

	spoint.commit();
} catch ( vdrlive::HtmlError const& ex ) {
	cxxtools::QueryParams param = qparam;
	param.add( "pageTitle", pageTitle );
	param.add( "errorMessage", ex.what() );
	callComp( "error", request, reply, param );
}

  // </%include>
  reply.out() << data[34]; // \n
  // <%/cpp>
  return HTTP_OK;
}

unsigned schedule::channel_selection_type::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);
  TNT_REQUEST_PAGE_VAR(cChannel*, Channel, "Channel", ());   // <%request> cChannel* Channel
  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  TNT_REQUEST_GLOBAL_VAR(std::string, pageTitle, "pageTitle", ());   // <%request> std::string pageTitle
  // <%args>
  // </%args>

  // <%cpp>
  reply.out() << data[35]; // <form name="channels" id="channels"><span>
#line 150 "schedule.ecpp"
  reply.sout() << ( tr("Show schedule of channel") );
  reply.out() << data[36]; // : </span>
  // <& channels_widget ...
#line 150 "schedule.ecpp"
  cxxtools::QueryParams _tnt_cq11(qparam, false);
#line 150 "schedule.ecpp"
  _tnt_cq11.add( "name", tnt::toString(("channel"), reply.out().getloc() ) );
#line 150 "schedule.ecpp"
  _tnt_cq11.add( "onchange", tnt::toString(("document.forms.channels.submit()"), reply.out().getloc() ) );
#line 150 "schedule.ecpp"
  _tnt_cq11.add( "selected", tnt::toString((Channel ? *Channel->GetChannelID().ToString() : ""), reply.out().getloc() ) );
#line 150 "schedule.ecpp"
  callComp(tnt::Compident(std::string(), "channels_widget"), request, reply, _tnt_cq11);
  // &>
  reply.out() << data[37]; // </form>\n
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

