////////////////////////////////////////////////////////////////////////
// searchresults.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:29 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.searchresults")

// <%pre>
#line 1 "searchresults.ecpp"

#include <vdr/channels.h>
#include <vdr/i18n.h>
#include <vdr/epg.h>
#include "epgsearch.h"
#include "tools.h"
#include "setup.h"
#include "epg_events.h"

using namespace vdrlive;
using namespace std;


#line 2 "page_init.eh"

#include <tnt/savepoint.h>
#include "exception.h"

#line 2 "page_exit.eh"

#include "exception.h"

// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class searchresults : public tnt::EcppComponent
{
    searchresults& main()  { return *this; }

  protected:
    ~searchresults();

  public:
    searchresults(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
};

static tnt::ComponentFactoryImpl<searchresults> searchresultsFactory("searchresults");

static const char* rawData = "\204\000\000\000\205\000\000\000\206\000\000\000\252\000\000\000\364\000\000\000\367\000\000\000\020\001\000\000\025\001\000\000\030\001\000\0000\001\000\000@\001\000\000A\001\000\000\202\001\000\000\023\002\000\000c\002\000\000\207\002\000\000\246\002\000\000\330\002\000\000\007\003\000\000\t\003\000\000\035\003\000\000 \003\000\000J\003\000\000S\003\000\000b\003\000\000\303\003\000\000H\004\000\000\215\004\000\000\221\004\000\000\222\004\000\000\256\004\000\000\257\004\000\000\261\004\000\000\n\n\n<html>\n\t<head>\n\t\t<title>VDR-Live - </title>\n\t\t<link rel=\"stylesheet\" type=\"text/css\" href=\"/styles.css\" />\n\t\t\n\t\t\n\t</head>\n\t<body onload=\"\">\n\t\t\n\t\t\n\t\t<div class=\"inhalt\">\n                \n\t\t\t<table class=\"searchresults\" cellspacing=\"0\" callpadding=\"0\">\n\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan=\"5\" style=\"border-top: 1px solid black; border-bottom: none; background-image: none\">&nbsp;</td></tr>\n\t\t\t\t\t\t</tr>\n\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td class=\"day\" colspan=\"5\"><div class=\"boxheader\"><div><div></div></div></div></td>\n\t\t\t\t\t\t</tr>\n                    <tr class=\"\">\n\t\t\t\t\t\t<td style=\"border-left: 1px solid black\"></td>\n\t\t\t\t\t\t<td><a href=\"schedule.html\?channel=\"></a></td>\n\t\t\t\t\t\t<td> - </td>\n\n\t\t\t\t\t\t<td>\n\t\t\t\t\t\t\t<div class=\"more\"><strong></strong></div><br />\n\t\t\t\t\t\t</td>\n\t\t\t\t\t\t\n\t\t\t\t\t\t<td style=\"border-right: 1px solid black\">&nbsp;</td>\n\t\t\t\t\t</tr>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan=\"5\" style=\"border-top: 1px solid black; background: none; border-bottom: none\">&nbsp;</td>\n\t\t\t\t\t\t</tr>\n\t\t\t</table>\n\t\t</div>\n\t\t<div class=\"epg_data\" style=\"display: none;\">\n\n\t\t\t\n\n\t\t</div>\n\t</body>\n</html>\n\n\n\n\n";

// <%shared>
// </%shared>

// <%config>
// </%config>

searchresults::searchresults(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl)
{
  // <%init>
  // </%init>
}

searchresults::~searchresults()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned searchresults::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  TNT_REQUEST_GLOBAL_VAR(std::string, pageTitle, "pageTitle", ());   // <%request> std::string pageTitle
  // <%args>
string searchtimerid = tnt::stringToConverter<string>(reply.out().getloc())( qparam.param("searchtimerid") );
string searchtimerquery = tnt::stringToConverter<string>(reply.out().getloc())( qparam.param("searchtimerquery") );
string searchplain = tnt::stringToConverter<string>(reply.out().getloc())( qparam.param("searchplain") );
  // </%args>

  // <%cpp>
  // <%include> page_init.eh
  reply.out() << data[0]; // \n
#line 9 "page_init.eh"

try {
	reply.setHeader("Expires", "Mon, 26 Jul 1997 05:00:00 GMT");
	tnt::Savepoint spoint( reply );

  // </%include>
#line 24 "searchresults.ecpp"

if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");

  reply.out() << data[1]; // \n
#line 27 "searchresults.ecpp"

	pageTitle = tr("Search results");
	SearchResults results;
	if (!searchtimerid.empty())
		results.GetByID(lexical_cast< int >(searchtimerid));
	if (!searchtimerquery.empty())
		results.GetByQuery(SearchResults::PopQuery(searchtimerquery));
	if (!searchplain.empty())
	{
		string query = searchplain;
		StringReplace(query, "&amp;", "&");
		SearchTimer s;
		s.SetId(0);
		s.SetSearch(query);
		s.SetSearchMode(0);
		s.SetUseTitle(true);		
		s.SetUseSubtitle(false);
		s.SetUseDescription(false);		
		results.GetByQuery(s.ToText());
	}

  // <& pageelems.doc_type ...
#line 48 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq0(qparam, false);
#line 48 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "doc_type"), request, reply, _tnt_cq0);
  // &>
  reply.out() << data[2]; // \n<html>\n\t<head>\n\t\t<title>VDR-Live - 
#line 51 "searchresults.ecpp"
  reply.sout() << ( pageTitle );
  reply.out() << data[3]; // </title>\n\t\t<link rel="stylesheet" type="text/css" href="/styles.css" />\n\t\t
  // <& tooltip.javascript ...
#line 53 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq1(qparam, false);
#line 53 "searchresults.ecpp"
  _tnt_cq1.add( "value", tnt::toString(("domTTepg"), reply.out().getloc() ) );
#line 53 "searchresults.ecpp"
  _tnt_cq1.add( "var", tnt::toString(("domTT_styleClass"), reply.out().getloc() ) );
#line 53 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "javascript"), request, reply, _tnt_cq1);
  // &>
  reply.out() << data[4]; // \n\t\t
  // <& pageelems.ajax_js ...
#line 54 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq2(qparam, false);
#line 54 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "ajax_js"), request, reply, _tnt_cq2);
  // &>
  reply.out() << data[5]; // \n\t</head>\n\t<body onload="
  // <& pageelems.infobox_start_update ...
#line 56 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq3(qparam, false);
#line 56 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "infobox_start_update"), request, reply, _tnt_cq3);
  // &>
  reply.out() << data[6]; // ">\n\t\t
  // <& pageelems.logo ...
#line 57 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq4(qparam, false);
#line 57 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "logo"), request, reply, _tnt_cq4);
  // &>
  reply.out() << data[7]; // \n\t\t
  // <& menu ...
#line 58 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq5(qparam, false);
#line 58 "searchresults.ecpp"
  _tnt_cq5.add( "active", tnt::toString(("searchepg"), reply.out().getloc() ) );
#line 58 "searchresults.ecpp"
  callComp(tnt::Compident(std::string(), "menu"), request, reply, _tnt_cq5);
  // &>
  reply.out() << data[8]; // \n\t\t<div class="inhalt">\n
#line 60 "searchresults.ecpp"
           if (results.size() == 0) {

  reply.out() << data[9]; //                 
#line 61 "searchresults.ecpp"
  reply.sout() << ( tr("No search results") );
  reply.out() << data[10]; // \n
#line 62 "searchresults.ecpp"
           }

  reply.out() << data[11]; // \t\t\t<table class="searchresults" cellspacing="0" callpadding="0">\n
#line 64 "searchresults.ecpp"

				string current_day = "";
				bool active_line = false;
				EpgEvents epgEvents;
				int evntNr = 0;

				for (SearchResults::iterator result = results.begin(); result != results.end(); ++result) {
//					active_line = !active_line;
					string channelname = Channels.GetByChannelID(result->Channel())->Name();
					int channelnr = Channels.GetByChannelID(result->Channel())->Number();
					string start(result->StartTime() ? FormatDateTime(tr("%I:%M %p"), result->StartTime()) : "");
					string end(result->StopTime() ? FormatDateTime(tr("%I:%M %p"), result->StopTime()) : "");
					string day(result->StartTime() ? FormatDateTime(tr("%A, %b %d %Y"), result->StartTime()) : "");
					tEventID event = result->EventId();
					tChannelID channel_id(result->Channel());
					string description = result->Description();

					
					string evntId("eventId_");
					evntId += lexical_cast<std::string, int>(++evntNr);
					EpgEventPtr epgEvent(new EpgEvent(evntId, channelname, result->Title(), result->ShortText(), description, result->StartTime(), result->StopTime()));
					epgEvents.push_back(epgEvent);
					bool truncated = false;

					if (current_day != day) {
						if (current_day != "") {

  reply.out() << data[12]; // \n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan="5" style="border-top: 1px solid black; border-bottom: none; background-image: none">&nbsp;</td></tr>\n\t\t\t\t\t\t</tr>\n
#line 94 "searchresults.ecpp"

						}

  reply.out() << data[13]; // \n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td class="day" colspan="5"><div class="boxheader"><div><div>
#line 98 "searchresults.ecpp"
  reply.sout() << ( day );
  reply.out() << data[14]; // </div></div></div></td>\n\t\t\t\t\t\t</tr>\n
#line 100 "searchresults.ecpp"
					current_day = day;

#line 101 "searchresults.ecpp"
					}

  reply.out() << data[15]; //                     <tr class="
#line 102 "searchresults.ecpp"
  if ( active_line )
    reply.sout() <<  "active" ;
  reply.out() << data[16]; // ">\n\t\t\t\t\t\t<td style="border-left: 1px solid black">
  // <& pageelems.event_timer ...
#line 103 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq6(qparam, false);
#line 103 "searchresults.ecpp"
  _tnt_cq6.add( "channelid", tnt::toString((channel_id), reply.out().getloc() ) );
#line 103 "searchresults.ecpp"
  _tnt_cq6.add( "eventid", tnt::toString((event), reply.out().getloc() ) );
#line 103 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "event_timer"), request, reply, _tnt_cq6);
  // &>
  reply.out() << data[17]; // </td>\n\t\t\t\t\t\t<td><a href="schedule.html\?channel=
#line 104 "searchresults.ecpp"
  reply.sout() << ( channelnr );
  reply.out() << data[18]; // ">
#line 104 "searchresults.ecpp"
  reply.sout() << ( channelname );
  reply.out() << data[19]; // </a></td>\n\t\t\t\t\t\t<td>
#line 105 "searchresults.ecpp"
  reply.sout() << ( start );
  reply.out() << data[20]; //  - 
#line 105 "searchresults.ecpp"
  reply.sout() << ( end );
  reply.out() << data[21]; // </td>\n\n\t\t\t\t\t\t<td>\n\t\t\t\t\t\t\t<div class="more"
  // <& tooltip.hint ...
#line 108 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq7(qparam, false);
#line 108 "searchresults.ecpp"
  _tnt_cq7.add( "text", tnt::toString((StringEscapeAndBreak(StringWordTruncate(description, 300, truncated)) + string("<br />") + string(tr("Click to view details."))), reply.out().getloc() ) );
#line 108 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "hint"), request, reply, _tnt_cq7);
  // &>
  // <& tooltip.display ...
#line 108 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq8(qparam, false);
#line 108 "searchresults.ecpp"
  _tnt_cq8.add( "domId", tnt::toString((epgEvent->Id()), reply.out().getloc() ) );
#line 108 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "display"), request, reply, _tnt_cq8);
  // &>
  reply.out() << data[22]; // ><strong>
#line 108 "searchresults.ecpp"
  reply.sout() << ( result->Title() );
  reply.out() << data[23]; // </strong></div>
#line 108 "searchresults.ecpp"
  reply.sout() << ( result->ShortText() );
  reply.out() << data[24]; // <br />\n\t\t\t\t\t\t</td>\n\t\t\t\t\t\t\n\t\t\t\t\t\t<td style="border-right: 1px solid black">&nbsp;</td>\n\t\t\t\t\t</tr>\n
#line 113 "searchresults.ecpp"
				}

#line 114 "searchresults.ecpp"
				if (results.size() > 0) {

  reply.out() << data[25]; // \t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan="5" style="border-top: 1px solid black; background: none; border-bottom: none">&nbsp;</td>\n\t\t\t\t\t\t</tr>\n
#line 118 "searchresults.ecpp"
				}

  reply.out() << data[26]; // \t\t\t</table>\n\t\t</div>\n\t\t<div class="epg_data" style="display: none;">\n
#line 122 "searchresults.ecpp"

		// create hidden div for the tooltip hints.
		for (vector<EpgEventPtr>::iterator i = epgEvents.begin(); i != epgEvents.end(); ++i) {
			EpgEventPtr epg = *i;

  reply.out() << data[27]; // \n\t\t\t
  // <& pageelems.epg_tt_box ...
#line 127 "searchresults.ecpp"
  cxxtools::QueryParams _tnt_cq9(qparam, false);
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "boxId", tnt::toString((epg->Id()), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "caption", tnt::toString((epg->Caption()), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "elapsed", tnt::toString((epg->Elapsed()), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "long_descr", tnt::toString((epg->LongDescr()), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "short_descr", tnt::toString((epg->ShortDescr()), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "time", tnt::toString((epg->StartTime(tr("%I:%M %p")) + string(" - ") + epg->EndTime(tr("%I:%M %p"))), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  _tnt_cq9.add( "title", tnt::toString((epg->Title()), reply.out().getloc() ) );
#line 127 "searchresults.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "epg_tt_box"), request, reply, _tnt_cq9);
  // &>
  reply.out() << data[28]; // \n
#line 128 "searchresults.ecpp"

		}

  reply.out() << data[29]; // \n\t\t</div>\n\t</body>\n</html>\n\n
  // <%include> page_exit.eh
  reply.out() << data[30]; // \n
#line 5 "page_exit.eh"

	spoint.commit();
} catch ( vdrlive::HtmlError const& ex ) {
	cxxtools::QueryParams param = qparam;
	param.add( "pageTitle", pageTitle );
	param.add( "errorMessage", ex.what() );
	callComp( "error", request, reply, param );
}

  // </%include>
  reply.out() << data[31]; // \n\n
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

