////////////////////////////////////////////////////////////////////////
// timers.cpp
// generated with ecppc
// date: Sat Jan 19 21:14:28 2008
//

#include <tnt/ecpp.h>
#include <tnt/convert.h>
#include <tnt/httprequest.h>
#include <tnt/httpreply.h>
#include <tnt/httpheader.h>
#include <tnt/http.h>
#include <tnt/data.h>
#include <tnt/componentfactory.h>
#include <tnt/objecttemplate.h>
#include <tnt/objectptr.h>
#include <cxxtools/log.h>
#include <stdexcept>

log_define("component.timers")

// <%pre>
#line 1 "timers.ecpp"

#include <vdr/i18n.h>
#include "timers.h"
#include "tools.h"
#include "setup.h"

using namespace std;
using namespace vdrlive;


#line 2 "page_init.eh"

#include <tnt/savepoint.h>
#include "exception.h"

#line 2 "page_exit.eh"

#include "exception.h"

// </%pre>

namespace
{
template <typename T> inline void use(const T&) { }

class timers : public tnt::EcppComponent
{
    timers& main()  { return *this; }

  protected:
    ~timers();

  public:
    timers(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl);

    unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
    class timer_actions_type : public tnt::EcppSubComponent
    {
        timers& mainComp;
        timers& main()  { return mainComp; }

      public:
        timer_actions_type(timers& m, const std::string& name)
          : EcppSubComponent(m, name),
            mainComp(m)
          { }
        unsigned operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam);
    };

    timer_actions_type timer_actions;
};

static tnt::ComponentFactoryImpl<timers> timersFactory("timers");

static const char* rawData = "\230\000\000\000\231\000\000\000\275\000\000\000\006\001\000\000\t\001\000\000\"\001\000\000'\001\000\000*\001\000\000B\001\000\000F\001\000\000G\001\000\000\201\001\000\000\015\002\000\000i\002\000\000O\003\000\000^\003\000\000m\003\000\000|\003\000\000\272\004\000\000\031\005\000\000V\005\000\000X\005\000\000k\005\000\000z\005\000\000\211\005\000\000\265\005\000\000\317\005\000\000\334\005\000\000\027\006\000\0004\006\000\000k\006\000\000\225\006\000\000\364\006\000\000\225\007\000\000\226\007\000\000\227\007\000\000\261\007\000\000\266\007\000\000\n\n<html>\n\t<head>\n\t\t<title>VDR-Live - </title>\n\t\t<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\" />\n\t\t\n\t\t\n\t</head>\n\t<body onload=\"\">\n\t\t\n\t\t\n\t\t<div class=\"inhalt\">\n\t\t\t\t\n\t\t\t<table class=\"timers\" cellspacing=\"0\" cellpadding=\"0\">\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan=\"10\" style=\"border-top: 1px solid black; border-bottom: none; background-image: none\">&nbsp;</td>\n\t\t\t\t\t\t</tr>\n\t\t\t\t<tr class=\"head\">\n\t\t\t\t\t<td colspan=\"10\">\n\t\t\t\t\t\t<div class=\"boxheader\"><div><div>\n\t\t\t\t\t\t\t\n\t\t\t\t\t\t</div></div></div>\n\t\t\t\t\t</td>\n\t\t\t\t</tr>\n\t\t\t\t<tr class=\"description\">\n\t\t\t\t\t<td class=\"border\" style=\"border-left: 1px solid black\"></td>\n\t\t\t\t\t<td><img src=\"transparent.png\" alt=\"\" width=\"16px\" height=\"16px\" /></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td><img src=\"transparent.png\" alt=\"\" width=\"16px\" height=\"16px\" /></td>\n\t\t\t\t\t<td><img src=\"transparent.png\" alt=\"\" width=\"16px\" height=\"16px\" /></td>\n\t\t\t\t\t<td><img src=\"transparent.png\" alt=\"\" width=\"16px\" height=\"16px\" /></td>\n\t\t\t\t\t<td class=\"border\" style=\"border-right: 1px solid black\"></td>\n\t\t\t\t</tr>\n\t\t\t\t<tr>\n\t\t\t\t\t<td class=\"border\" style=\"border-left: 1px solid black\"></td>\n\t\t\t\t\t<td><img src=\"\" alt=\"\"></img></td>\n\t\t\t\t\t<td><a href=\"schedule.html\?channel=\"></a></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td></td>\n\t\t\t\t\t<td><a href=\"timers.html\?timerid=&action=toggle\"><img src=\".png\" alt=\"\" ></img></a></td>\n\t\t\t\t\t<td><a href=\"edit_timer.html\?timerid=\"><img src=\"edit.png\" alt=\"\" ></img></a></td>\n\t\t\t\t\t<td><a href=\"timers.html\?timerid=&action=delete\"><img src=\"del.png\" alt=\"\" ></img></a></td>\n\t\t\t\t\t<td class=\"border\" style=\"border-right: 1px solid black\"></td>\n\t\t\t\t</tr>\n\t\t\t\t<tr><td colspan=\"10\" style=\"border-top: 1px solid black; background-image: none; border-bottom: none\">&nbsp;</td></tr>\n\t\t\t</table>\n\t\t</div>\n\t</body>\n</html>\n\n\n<a href=\"edit_timer.html\"></a>\n";

// <%shared>
// </%shared>

// <%config>
// </%config>

timers::timers(const tnt::Compident& ci, const tnt::Urlmapper& um, tnt::Comploader& cl)
  : EcppComponent(ci, um, cl),
    timer_actions(*this, "timer_actions")
{
  // <%init>
  // </%init>
}

timers::~timers()
{
  // <%cleanup>
  // </%cleanup>
}

unsigned timers::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);

  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  TNT_REQUEST_PAGE_VAR(cTimer*, timer, "timer", ());   // <%request> cTimer* timer
  TNT_REQUEST_GLOBAL_VAR(std::string, pageTitle, "pageTitle", ());   // <%request> std::string pageTitle
  // <%args>
string timerid = tnt::stringToConverter<string>(reply.out().getloc())( qparam.param("timerid") );
string action = tnt::stringToConverter<string>(reply.out().getloc())( qparam.param("action") );
  // </%args>

  // <%cpp>
  // <%include> page_init.eh
  reply.out() << data[0]; // \n
#line 9 "page_init.eh"

try {
	reply.setHeader("Expires", "Mon, 26 Jul 1997 05:00:00 GMT");
	tnt::Savepoint spoint( reply );

  // </%include>
#line 23 "timers.ecpp"

	if (!logged_in && LiveSetup().UseAuth()) return reply.redirect("login.html");

	pageTitle = tr("Timers");

	cMutexLock timersLock( &LiveTimerManager() );
	SortedTimers& timers = LiveTimerManager().GetTimers();

	timer = 0;
	if ( !timerid.empty() ) {
		timer = timers.GetByTimerId( timerid );
		if ( timer == 0 )
			throw HtmlError( tr("Couldn't find timer. Maybe you mistyped your request?") );
		if (action == "delete")
			LiveTimerManager().DelTimer(timer);
		if (action == "toggle")
			LiveTimerManager().ToggleTimerActive(timer);
	}

	string previousDay = "";

  // <& pageelems.doc_type ...
#line 44 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq0(qparam, false);
#line 44 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "doc_type"), request, reply, _tnt_cq0);
  // &>
  reply.out() << data[1]; // \n<html>\n\t<head>\n\t\t<title>VDR-Live - 
#line 47 "timers.ecpp"
  reply.sout() << ( pageTitle );
  reply.out() << data[2]; // </title>\n\t\t<link rel="stylesheet" type="text/css" href="styles.css" />\n\t\t
  // <& tooltip.javascript ...
#line 49 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq1(qparam, false);
#line 49 "timers.ecpp"
  _tnt_cq1.add( "value", tnt::toString(("domTTepg"), reply.out().getloc() ) );
#line 49 "timers.ecpp"
  _tnt_cq1.add( "var", tnt::toString(("domTT_styleClass"), reply.out().getloc() ) );
#line 49 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "javascript"), request, reply, _tnt_cq1);
  // &>
  reply.out() << data[3]; // \n\t\t
  // <& pageelems.ajax_js ...
#line 50 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq2(qparam, false);
#line 50 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "ajax_js"), request, reply, _tnt_cq2);
  // &>
  reply.out() << data[4]; // \n\t</head>\n\t<body onload="
  // <& pageelems.infobox_start_update ...
#line 52 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq3(qparam, false);
#line 52 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "infobox_start_update"), request, reply, _tnt_cq3);
  // &>
  reply.out() << data[5]; // ">\n\t\t
  // <& pageelems.logo ...
#line 53 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq4(qparam, false);
#line 53 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "pageelems", "logo"), request, reply, _tnt_cq4);
  // &>
  reply.out() << data[6]; // \n\t\t
  // <& menu ...
#line 54 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq5(qparam, false);
#line 54 "timers.ecpp"
  _tnt_cq5.add( "active", tnt::toString(("timers"), reply.out().getloc() ) );
#line 54 "timers.ecpp"
  _tnt_cq5.add( "component", tnt::toString(("timers.timer_actions"), reply.out().getloc() ) );
#line 54 "timers.ecpp"
  callComp(tnt::Compident(std::string(), "menu"), request, reply, _tnt_cq5);
  // &>
  reply.out() << data[7]; // \n\t\t<div class="inhalt">\n
#line 56 "timers.ecpp"
			if (timers.size() == 0) {

  reply.out() << data[8]; // \t\t\t\t
#line 57 "timers.ecpp"
  reply.sout() << ( tr("No timer defined") );
  reply.out() << data[9]; // \n
#line 58 "timers.ecpp"
			} else {

  reply.out() << data[10]; // \t\t\t<table class="timers" cellspacing="0" cellpadding="0">\n
#line 60 "timers.ecpp"

				for (SortedTimers::iterator timer = timers.begin(); timer != timers.end(); ++timer) {
#if VDRVERSNUM >= 10503
					string currentDay = timer->WeekDays() > 0 ? *cTimer::PrintDay(0, timer->WeekDays(), true) : 							FormatDateTime(tr("%A, %x"), timer->Day());
#else
					string currentDay = timer->WeekDays() > 0 ? *cTimer::PrintDay(0, timer->WeekDays()) : 							FormatDateTime(tr("%A, %x"), timer->Day());
#endif
					if (previousDay != currentDay) {
						if (!previousDay.empty()) {

  reply.out() << data[11]; // \t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<td colspan="10" style="border-top: 1px solid black; border-bottom: none; background-image: none">&nbsp;</td>\n\t\t\t\t\t\t</tr>\n
#line 73 "timers.ecpp"

						}
						previousDay = currentDay;

  reply.out() << data[12]; // \t\t\t\t<tr class="head">\n\t\t\t\t\t<td colspan="10">\n\t\t\t\t\t\t<div class="boxheader"><div><div>\n\t\t\t\t\t\t\t
#line 80 "timers.ecpp"
  reply.sout() << ( currentDay );
  reply.out() << data[13]; // \n\t\t\t\t\t\t</div></div></div>\n\t\t\t\t\t</td>\n\t\t\t\t</tr>\n\t\t\t\t<tr class="description">\n\t\t\t\t\t<td class="border" style="border-left: 1px solid black"></td>\n\t\t\t\t\t<td><img src="transparent.png" alt="" width="16px" height="16px" /></td>\n\t\t\t\t\t<td>
#line 87 "timers.ecpp"
  reply.sout() << ( tr("Channel") );
  reply.out() << data[14]; // </td>\n\t\t\t\t\t<td>
#line 88 "timers.ecpp"
  reply.sout() << ( tr("Start") );
  reply.out() << data[15]; // </td>\n\t\t\t\t\t<td>
#line 89 "timers.ecpp"
  reply.sout() << ( tr("Stop") );
  reply.out() << data[16]; // </td>\n\t\t\t\t\t<td>
#line 90 "timers.ecpp"
  reply.sout() << ( tr("File") );
  reply.out() << data[17]; // </td>\n\t\t\t\t\t<td><img src="transparent.png" alt="" width="16px" height="16px" /></td>\n\t\t\t\t\t<td><img src="transparent.png" alt="" width="16px" height="16px" /></td>\n\t\t\t\t\t<td><img src="transparent.png" alt="" width="16px" height="16px" /></td>\n\t\t\t\t\t<td class="border" style="border-right: 1px solid black"></td>\n\t\t\t\t</tr>\n
#line 96 "timers.ecpp"

					}
					std::string timerStateImg = "transparent.png";
					if (timer->Recording())
						timerStateImg = "arrow_rec.gif";
					else if (timer->Flags() & tfActive)
						timerStateImg = "arrow.png";

  reply.out() << data[18]; // \t\t\t\t<tr>\n\t\t\t\t\t<td class="border" style="border-left: 1px solid black"></td>\n\t\t\t\t\t<td><img src="
#line 106 "timers.ecpp"
  reply.sout() << ( timerStateImg );
  reply.out() << data[19]; // " alt=""></img></td>\n\t\t\t\t\t<td><a href="schedule.html\?channel=
#line 107 "timers.ecpp"
  reply.sout() << ( timer->Channel()->Number());
  reply.out() << data[20]; // ">
#line 107 "timers.ecpp"
  reply.sout() << ( timer->Channel()->Name() );
  reply.out() << data[21]; // </a></td>\n\t\t\t\t\t<td>
#line 108 "timers.ecpp"
  reply.sout() << ( FormatDateTime(tr("%I:%M %p"), timer->StartTime()) );
  reply.out() << data[22]; // </td>\n\t\t\t\t\t<td>
#line 109 "timers.ecpp"
  reply.sout() << ( FormatDateTime(tr("%I:%M %p"), timer->StopTime()) );
  reply.out() << data[23]; // </td>\n\t\t\t\t\t<td>
#line 110 "timers.ecpp"
  reply.sout() << ( timer->File() );
  reply.out() << data[24]; // </td>\n\t\t\t\t\t<td><a href="timers.html\?timerid=
#line 111 "timers.ecpp"
  reply.sout() << ( timers.GetTimerId(*timer) );
  reply.out() << data[25]; // &action=toggle"><img src="
#line 111 "timers.ecpp"
  reply.sout() << ( (timer->Flags() & tfActive) ? "active" : "inactive" );
  reply.out() << data[26]; // .png" alt="" 
  // <& tooltip.hint ...
#line 111 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq6(qparam, false);
#line 111 "timers.ecpp"
  _tnt_cq6.add( "text", tnt::toString((tr("Toggle timer active/inactive")), reply.out().getloc() ) );
#line 111 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "hint"), request, reply, _tnt_cq6);
  // &>
  reply.out() << data[27]; // ></img></a></td>\n\t\t\t\t\t<td><a href="edit_timer.html\?timerid=
#line 112 "timers.ecpp"
  reply.sout() << ( timers.GetTimerId(*timer) );
  reply.out() << data[28]; // "><img src="edit.png" alt="" 
  // <& tooltip.hint ...
#line 112 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq7(qparam, false);
#line 112 "timers.ecpp"
  _tnt_cq7.add( "text", tnt::toString((tr("Edit timer")), reply.out().getloc() ) );
#line 112 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "hint"), request, reply, _tnt_cq7);
  // &>
  reply.out() << data[29]; // ></img></a></td>\n\t\t\t\t\t<td><a href="timers.html\?timerid=
#line 113 "timers.ecpp"
  reply.sout() << ( timers.GetTimerId(*timer) );
  reply.out() << data[30]; // &action=delete"><img src="del.png" alt="" 
  // <& tooltip.hint ...
#line 113 "timers.ecpp"
  cxxtools::QueryParams _tnt_cq8(qparam, false);
#line 113 "timers.ecpp"
  _tnt_cq8.add( "text", tnt::toString((tr("Delete timer")), reply.out().getloc() ) );
#line 113 "timers.ecpp"
  callComp(tnt::Subcompident(std::string(), "tooltip", "hint"), request, reply, _tnt_cq8);
  // &>
  reply.out() << data[31]; // ></img></a></td>\n\t\t\t\t\t<td class="border" style="border-right: 1px solid black"></td>\n\t\t\t\t</tr>\n
#line 116 "timers.ecpp"

				}
			}

  reply.out() << data[32]; // \t\t\t\t<tr><td colspan="10" style="border-top: 1px solid black; background-image: none; border-bottom: none">&nbsp;</td></tr>\n\t\t\t</table>\n\t\t</div>\n\t</body>\n</html>\n
  // <%include> page_exit.eh
  reply.out() << data[33]; // \n
#line 5 "page_exit.eh"

	spoint.commit();
} catch ( vdrlive::HtmlError const& ex ) {
	cxxtools::QueryParams param = qparam;
	param.add( "pageTitle", pageTitle );
	param.add( "errorMessage", ex.what() );
	callComp( "error", request, reply, param );
}

  // </%include>
  reply.out() << data[34]; // \n
  // <%/cpp>
  return HTTP_OK;
}

unsigned timers::timer_actions_type::operator() (tnt::HttpRequest& request, tnt::HttpReply& reply, cxxtools::QueryParams& qparam)
{
  tnt::DataChunks data(rawData);
  TNT_REQUEST_PAGE_VAR(cTimer*, timer, "timer", ());   // <%request> cTimer* timer
  TNT_SESSION_GLOBAL_VAR(bool, logged_in, "logged_in", (false));   // <%session> bool logged_in(false)
  TNT_REQUEST_GLOBAL_VAR(std::string, pageTitle, "pageTitle", ());   // <%request> std::string pageTitle
  // <%args>
  // </%args>

  // <%cpp>
  reply.out() << data[35]; // <a href="edit_timer.html">
#line 128 "timers.ecpp"
  reply.sout() << ( tr("New timer") );
  reply.out() << data[36]; // </a>\n
  // <%/cpp>
  return HTTP_OK;
}

} // namespace

