#include "i18n.h"

namespace vdrlive {

const tI18nPhrase Phrases[] = {
    { "What's running at",
      "Was luft um",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "%I:%M %p", // Time formatting string (Hour:Minute suffix)
      "%H:%M Uhr", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "%I:%M:%S %p", // Time formatting string (Hour:Minute:Seconds suffix)
      "%H:%M:%S Uhr", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "%a, %b %d", // English
      "%a, %d.%m.", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "%A, %b %d %Y", // English
      "%A, %d.%m.%Y", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "%b %d %y", // English
      "%d.%m.%y", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "%A, %x", // English
      "%A, %x", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },    { "Date", // English
      "Datum", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Time", // English
      "Zeit", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Recordings", // English
      "Aufnahmen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "List of recordings", // English
      "Liste der Aufnahmen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "No recordings found", // English
      "Keine Aufnahmen vorhanden", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "playing recording", // English
      "Wiedergabe", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "stop playback", // English
      "Anhalten", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "resume playback", // English
      "Fortsetzen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "pause playback", // English
      "Pause", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "fast forward", // English
      "Suchlauf vorwrts", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "fast rewind", // English
      "Suchlauf rckwrts", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Remote Control", // English
      "Fernbedienung", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Interval", // English
      "Intervall", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Save", // English
      "Speichern", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Menu", // English
      "Men", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Exit", // English
      "Zurck", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Back", // English
      "Zurck", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Ok", // English
      "Ok", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Vol+", // English
      "Laut+", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Vol-", // English
      "Laut-", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Mute", // English
      "Stumm", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "New timer", // English
      "Neuen Timer anlegen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Edit", // English
      "ndern", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Weekday", // English
      "Wochentag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Use VPS", // English
      "VPS verwenden", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Monday", // English
      "Montag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Tuesday", // English
      "Dienstag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Wednesday", // English
      "Mittwoch", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Thursday", // English
      "Donnerstag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Friday", // English
      "Freitag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Saturday", // English
      "Samstag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Sunday", // English
      "Sonntag", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Yes", // English
      "Ja", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "No", // English
      "Nein", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Searchtimers", // English
      "Suchtimer", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "retrieving status ...", // English
      "Hole Status ...", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "previous channel", // English
      "Sender zurck", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "next channel", // English
      "Sender vor", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Record this", // English
      "Diese Sendung aufnehmen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Edit this", // English
      "Timer editieren", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Click to view details.", // English
      "Fr Details klicken.", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "more", // English
      "mehr", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Switch to this channel.", // English
      "Zu diesem Kanal umschalten.", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "play this recording.", // English
      "Diese Aufnahme abspielen.", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "toggle status update.", // English
      "Statusabfrage ein- oder ausschalten.", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "no epg info for current event!", // English
      "Keine Infos zur Sendung!", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "no epg info for current channel!", // English
      "Dieser Kanal hat kein EPG!", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "no current channel!", // English
      "Keinen Kanal gefunden!", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "error retrieving status info!", // English
      "Fehler: Status nicht verfgbar!", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Stop updates", // English
      "Updates anhalten", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "View the schedule of this channel", // English
      "Zeige Programm dieses Kanals", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Search term", // English
      "Suchbegriff", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Search mode", // English
      "Suchmodus", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "phrase",
      "Ausdruck",
      "",// TODO
      "frase",// Italiano
      "uitdruk",
      "",// TODO
      "Phrase",
      "",// TODO
      "fraasi",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "all words",
      "alle Worte",
      "",// TODO
      "tutte le parole",// Italiano
      "alle woorden",
      "",// TODO
      "tout les mots",
      "",// TODO
      "kaikki sanat",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "at least one word",
      "ein Wort",
      "",// TODO
      "almeno una parola",// Italiano
      "ten minste een woord",
      "",// TODO
      "un mot",
      "",// TODO
      "yksi sana",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },

    { "match exactly",
      "exakt",
      "",// TODO
      "esatta corrispondenza",// Italiano
      "precies passend",
      "",// TODO
      "correspond ex  actement",
      "",// TODO
      "tsmllinen",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Ees  ti
      "",// TODO Dansk
      "",// TODO esky (Czec  h)

    },
    { "regular expression",
      "regulrer Ausdruck",
      "",// TODO
      "espressione regolare",// Italiano
      "reguliere uitdruk  king",
      "",// TODO
      "expression rguliere",
      "",// TODO
      "snnllinen lauseke",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Ees  ti
      "",// TODO Dansk
      "",// TODO esky (Czec  h)
    },
    { "Match case",
      "Gro/klein",
      "",// TODO
      "Mai    uscolo/Minuscolo",// Italiano
      "Idem case",
      "",// TODO
      "Maj/Minuscule",
      "",// TODO
      "Huomioi kirja inkoko",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Tolerance",
      "Toleranz",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Tolrance",// TODO
      "",// TODO
      "Toleranssi",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "fuzzy",
      "unscharf",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "imprcis",
      "",// TODO
      "sumea",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Search in", // English
      "Suche in", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Title", // English
      "Titel", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Episode", // English
      "Episode", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Description", // English
      "Beschreibung", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Show schedule of channel", // English
      "Zeige Programm dieses Kanals", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Use channel",
      "Verw. Kanal",
      "",// TODO
      "Utilizzare canale",// Italiano
      "Gebruik kanaal",
      "",// TODO
      "Utiliser le canal",
      "",// TODO
      "Kyt kanavaa",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "interval",
      "Bereich",
      "",// TODO
      "intervallo",// Italiano
      "interval",
      "",// TODO
      "interval",// Francais Pat
      "",// TODO
      "kyll",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "channel group",
      "Kanalgruppe",
      "",// TODO
      "gruppo canali",// Italiano
      "kanaal groep",
      "",// TODO
      "Groupe de chanes",// Francais Pat
      "",// TODO
      "kanavaryhm",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "only FTA",
      "ohne PayTV",
      "",// TODO
      "solo FTA",// Italiano
      "alleen FTA",
      "",// TODO
      "sans TV-Payante",
      "",// TODO
      "vapaat kanavat",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "from channel",
      "von Kanal",
      "",// TODO
      "da canale",// Italiano
      "van kanaal",
      "",// TODO
      "de la Chane",
      "",// TODO
      "Kanavasta",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "to channel",
      "bis Kanal",
      "",// TODO
      "a canale",// Italiano
      "tot kanaal",
      "",// TODO
      " la Chane",
      "",// TODO
      "Kanavaan",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use extended EPG info",
      "Verw. erweiterte EPG Info",
      "",// TODO
      "Utilizzare informazioni EPG estesa",// Italiano
      "Gebruik uitgebreide EPG info",
      "",// TODO
      "Utiliser les infos EPG avances",// Francais Pat
      "",// TODO
      "Kyt laajennettua ohjelmaopasta",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use time",
      "Verw. Uhrzeit",
      "",// TODO
      "Utilizzare l'orario",// Italiano
      "Gebruik tijd",
      "",// TODO
      "Utiliser l'heure",
      "",// TODO
      "Kyt aloitusaikaa",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Start after",
      "Start nach",
      "",// TODO
      "Comincia dopo",// Italiano
      "Start na",
      "",// TODO
      "Dpart aprs",
      "",// TODO
      "Aloitusaika aikaisintaan",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Start before",
      "Start vor",
      "",// TODO
      "Comincia prima",// Italiano
      "Start voor",
      "",// TODO
      "Dpart avant",
      "",// TODO
      "Aloitusaika viimeistn",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use duration",
      "Verw. Dauer",
      "",// TODO
      "Utilizzare durata",// Italiano
      "Gebruiks duur",
      "",// TODO
      "Dure d'utilisation",
      "",// TODO
      "Kyt kestoaikaa",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Max. duration",
      "Max. Dauer",
      "",// TODO
      "Durata Massima",// Italiano
      "Max. duur",
      "",// TODO
      "Dure max.",
      "",// TODO
      "Kestoaika enintn",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Min. duration",
      "Min. Dauer",
      "",// TODO
      "Durata Minima",// Italiano
      "Min. duur",
      "",// TODO
      "Dure min.",
      "",// TODO
      "Kestoaika vhintn",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use day of week",
      "Verw. Wochentag",
      "",// TODO
      "Utilizzare giorno della settimana",// Italiano
      "Gebruik dag van de week",
      "",// TODO
      "Utiliser les jours de la semaine",
      "",// TODO
      "Kyt viikonpiv",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use blacklists",
      "Verw. Ausschlusslisten",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Utiliser la liste des exclus",// TODO
      "",// TODO
      "Kyt mustia listoja",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use in favorites menu",
      "In Favoritenmen verw.",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Utiliser dans le menu favoris",
      "",// TODO
      "Kyt suosikkina",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Use as search timer",
      "Als Suchtimer verwenden",
      "",// TODO
      "Utilizzare come timer di ricerca",// Italiano
      "Gebruik als zoek timer",
      "",// TODO
      "Utiliser la recherche",
      "",// TODO
      "Kyt hakuajastimena",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Record",
      "Aufnehmen",
      "Posnemi",
      "Registra",
      "Opnemen",
      "Gravar",
      "Enregistre",
      "Ta opp",
      "Tallenna",
      "Nagraj",
      "Grabar",
      "",
      "Inspelning",
      "nregistr.",
      "Felvenni",
      "Gravar",
      "",
      "Snimi",
      "Salvesta",
      "Optag",
      "Nahrt",
    },
    { "Switch only",
      "Nur umschalten",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Seulement changer de chaine",
      "",// TODO
      "kanavanvaihto",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Announce only",
      "Nur ankndigen",
      "",// TODO
      "Solo annuncio (niente timer)",// Italiano
      "Alleen aankondigen (geen timer)",
      "",// TODO
      "Annoncer seulement dbut d'une programme",
      "",// TODO
      "muistutus",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Series recording",
      "Serienaufnahme",
      "",// TODO
      "Registrazione serie",// Italiano
      "Serie's opnemen",
      "",// TODO
      "Enregistrement de serie",
      "",// TODO
      "Sarjatallennus",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Directory",
      "Verzeichnis",
      "",// TODO
      "Cartella",// Italiano
      "Directory",
      "",// TODO
      "Dossier",
      "",// TODO
      "Hakemisto",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Delete recordings after ... days",
      "Aufn. nach ... Tagen lschen",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Effacer l'enregistrement aprs ... jours",// Francais Pat
      "",// TODO
      "Poista tallenteet ... pivn jlkeen",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Keep ... recordings",
      "Behalte ... Aufnahmen",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Garder .... enregistrements",
      "",// TODO
      "Silyt ... tallennetta",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Pause when ... recordings exist",
      "Pause, wenn ... Aufnahmen exist.",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Pause, lorsque ... l'enregistrement existe.",// TODO
      "",// TODO
      "Keskeyt ... tallenteen jlkeen",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Switch ... minutes before start",
      "Umschalten ... Minuten vor Start",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Changer ... minutes avant le dbut",// TODO
      "",// TODO
      "Vaihda ... minuuttia ennen alkua",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Avoid repeats",
      "Vermeide Wiederholung",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Eviter les rptions",// Francais Pat
      "",// TODO
      "Est uusinnat",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Allowed repeats",
      "Erlaubte Wiederholungen",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Rptitions autorises",// Francais Pat
      "",// TODO
      "Sallittujen uusintojen lukumr",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Only repeats within ... days",
      "Nur Wiederh. innerhalb ... Tagen",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Que rption, pendant ... jours",// Francais Pat
      "",// TODO
      "Vain uusinnat ... pivn sisll",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Compare title",
      "Vergleiche Titel",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Comparer titres",// Francais Pat
      "",// TODO
      "Vertaa nime",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Compare subtitle",
      "Vergleiche Untertitel",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Comparer les sous-titres",// Francais Pat
      "",// TODO
      "Vertaa jakson nime",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)

    },
    { "Compare summary",
      "Vergleiche Beschreibung",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Comparer les descriptions",// Francais Pat
      "",// TODO
      "Vertaa kuvausta",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Compare",
      "Vergleiche",
      "",// TODO
      "",// Italiano
      "",// TODO
      "",// TODO
      "Comparer",// Francais Pat
      "",// TODO
      "Vertaa",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Selection",
      "Auswahl",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "Selection",// TODO
      "",// TODO
      "valittu",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)

    },
    { "all",
      "alle",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "tous",// TODO
      "",// TODO
      "kaikki",
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO
      "",// TODO Eesti
      "",// TODO Dansk
      "",// TODO esky (Czech)
    },
    { "Search results",
      "Suchergebnisse",
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "No search results",
      "keine Suchergebnisse",
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Power", // English
      "Ausschalten", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Begin Recording", // English
      "Sofortaufnahme", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Up", // English
      "Hoch", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Down", // English
      "Runter", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Left", // English
      "Links", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Right", // English
      "Rechts", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Red", // English
      "Rot", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Green", // English
      "Grn", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Yellow", // English
      "Gelb", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Blue", // English
      "Blau", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "New",
      "Neu",
      "Novo",
      "Nuovo",
      "Nieuw",
      "Novo",
      "Nouveau",
      "Ny",
      "Uusi",
      "Nowy",
      "Nuevo",
      "N",
      "Ny",
      "Nou",
      "j",
      "Nou",
      "",
      "Novi",
      "Uus",
      "Ny",
      "Nov",
    },
    { "Toggle timer active/inactive",
      "Timer aktiv/inaktiv schalten",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Delete timer",
      "Timer lschen",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Edit timer",
      "Timer bearbeiten",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Toggle search timer actions (in)active",
      "Aktionen des Suchtimers (de)aktivieren",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Browse search timer results",
      "Suchtimerergebnisse betrachten",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Delete search timer",
      "Suchtimer lschen",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Expression",
      "Suchbegriff",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "Edit search timer",
      "Suchtimer bearbeiten",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
    { "New search timer",
      "Neuen Suchtimer anlegen",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
	{ "Delete this search timer?", // English
	  "Diesen Suchtimer lschen?", // Deutsch
	  "", // Slovenski
	  "", // Italiano
	  "", // Nederlands
	  "", // Portugus
	  "", // Franais
	  "", // Norsk
	  "", // Finnish
	  "", // Polski
	  "", // Espaol
	  "", // Greek
	  "", // Svenska
	  "", // Romn
	  "", // Magyar
	  "", // Catal
	  "", // Russian
	  "", // Hrvatski
	  "", // Eesti
	  "", // Dansk
	  "", // Czech
	},
    { "Cancel",
      "Abbrechen",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },

    { "All",
      "Alle",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
    },
	{ "Test", // English
      "Testen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "The time the show may start at the latest", // English
      "Die Zeit, zu der die Sendung sptestens angefangen haben muss", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "The time the show may start at the earliest", // English
      "Die Zeit, zu der die Sendung frhestens anfangen darf", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "Search text too short - use anyway?",
	  "Suchtext zu kurz - trotzdem verwenden?",
	  "",// TODO
	  "Il testo da cercare  troppo corto.  Continuare lo stesso?",// Italiano
	  "Zoek tekst tekort - toch gebruiken?",
	  "",// TODO
	  "Texte de recherche est trop court - l'utiliser comme mme?",
	  "",// TODO
	  "Liian suppea hakuehto - etsitnk silti?",
	  "",// TODO
	  "",// TODO
	  "",// TODO
	  "",// TODO
	  "",// TODO
	  "",// TODO
	  "",// TODO 
	  "",// TODO
	  "",// TODO
	  "",// TODO Eesti
	  "",// TODO Dansk
	  "",// TODO esky (Czech)
	
	},
	{ "User", // English
      "Benutzer", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "Password", // English
      "Passwort", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "Last channel to display", // English
      "Letzer angezeigter Kanal", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "Use authentication", // English
      "Authentifizierung nutzen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "No Limit", // English
      "Alle zeigen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "Admin login", // English
      "Admin Login", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "Admin password", // English
      "Admin Passwort", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
	{ "VDR Live Login", // English
      "VDR Live Login", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
	},
    { "Logout", // English
      "Abmelden", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Login", // English
      "Anmelden", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
	{ "Search", // English
	  "Suchen", // Deutsch
	  "", // Slovenski
	  "", // Italiano
	  "", // Nederlands
	  "", // Portugus
	  "", // Franais
	  "", // Norsk
	  "", // Finnish
	  "", // Polski
	  "", // Espaol
	  "", // Greek
	  "", // Svenska
	  "", // Romn
	  "", // Magyar
	  "", // Catal
	  "", // Russian
	  "", // Hrvatski
	  "", // Eesti
	  "", // Dansk
	  "", // Czech
	},
	{ "Extended search", // English
	  "Erweiterte Suche", // Deutsch
	  "", // Slovenski
	  "", // Italiano
	  "", // Nederlands
	  "", // Portugus
	  "", // Franais
	  "", // Norsk
	  "", // Finnish
	  "", // Polski
	  "", // Espaol
	  "", // Greek
	  "", // Svenska
	  "", // Romn
	  "", // Magyar
	  "", // Catal
	  "", // Russian
	  "", // Hrvatski
	  "", // Eesti
	  "", // Dansk
	  "", // Czech
	},
	{ "Search settings", // English
	  "Einstellungen zur Suche", // Deutsch
	  "", // Slovenski
	  "", // Italiano
	  "", // Nederlands
	  "", // Portugus
	  "", // Franais
	  "", // Norsk
	  "", // Finnish
	  "", // Polski
	  "", // Espaol
	  "", // Greek
	  "", // Svenska
	  "", // Romn
	  "", // Magyar
	  "", // Catal
	  "", // Russian
	  "", // Hrvatski
	  "", // Eesti
	  "", // Dansk
	  "", // Czech
	},
	{ "On archive DVD No.", // English
	  "Auf Archiv-DVD Nr.", // Deutsch
	  "", // Slovenski
	  "", // Italiano
	  "", // Nederlands
	  "", // Portugus
	  "", // Franais
	  "", // Norsk
	  "", // Finnish
	  "", // Polski
	  "", // Espaol
	  "", // Greek
	  "", // Svenska
	  "", // Romn
	  "", // Magyar
	  "", // Catal
	  "", // Russian
	  "", // Hrvatski
	  "", // Eesti
	  "", // Dansk
	  "", // Czech
	},
      { "Starts between", // English
      "Beginnt zwischen", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
      { "Wrong username or password", // English
      "Falscher Benutzername oder Passwort", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
      { "Required minimum version of epgsearch: ", // English
      "Bentigte Mindestversion von epgsearch: ", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
      { "EPGSearch version outdated! Please update.", // English
      "EPGSearch-Version zu alt, bitte updaten!", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
      { "Search for repeats.", // English
      "Nach Wiederholungen suchen.", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
    { "What's on",
      "Was luft",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "What's on?",
      "Was luft?",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Now",
      "Jetzt",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Next",
      "als Nchstes",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "additional fixed times in 'What's on?'",
      "zustzliche Zeitpunkte in 'Was luft?'",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Format is HH:MM. Separate multiple times with a colon",
      "Format ist HH:MM. Mehrere Zeiten durch Semikolon trennen",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "at",
      "um",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Authors",
      "Autoren",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Project leader",
      "Projektleiter",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Webserver",
      "Webserver",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Content",
      "Inhalte",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Graphics",
      "Grafiken",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Information",
      "Informationen",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "LIVE version",
      "LIVE Version",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "VDR version",
      "VDR Version",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
    { "Features",
      "Untersttze Plugins",
      "", // Slovenski
      "", // Italiono
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
    },
      { "Couldn't find timer. Maybe you mistyped your request?", // English
      "Konnte Timer nicht finden. Evtl. fehlerhafte Anforderung?", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
      { "Page error", // English
      "Seitenfehler", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
    /*
      { "", // English
      "", // Deutsch
      "", // Slovenski
      "", // Italiano
      "", // Nederlands
      "", // Portugus
      "", // Franais
      "", // Norsk
      "", // Finnish
      "", // Polski
      "", // Espaol
      "", // Greek
      "", // Svenska
      "", // Romn
      "", // Magyar
      "", // Catal
      "", // Russian
      "", // Hrvatski
      "", // Eesti
      "", // Dansk
      "", // Czech
      },
    */
    { 0 },
};

} // namespace vdrlive
